/* ページそのものの見栄えの設定 */
body{
	background: #ffffff;
}

/* ドキュメントのタイトル用見出しタグ */
h1.doctitle{
	background-color: #6a9bed;
	text-align: center;
	font-size: xx-large;
}

/* 著者および更新情報を記述するところ */
div.information{
	text-align: right;
	font-style: italic;
}

/* 前書きボックスの書式設定 */
div.intro{
	position: center;
	background-color: #ffe0e0;
	margin: 50px 50px 50px 50px;
	padding: 20px 20px 20px 20px;


}

/* 前書き用書式指定 */
div.intro h1{
	border-style: solid;
	border-width: 0px 0px 0px 5px;
	border-color: #990000;
	padding: 0px 0px 0px 10px;
	font-size: x-large;
}

hr.split{
	margin: 20px 0px 20px 0px;
	border-style: solid;
	border-color: #000000;
	border-width: 3px;
}

/* 以下，リファレンス本体むけ */

/* 名前空間を紹介する */
h1.namespace{
	border-style: solid;
	border-width: 0px 0px 0px 5px;
	border-color: #6a9bed;
	padding: 0px 0px 0px 10px;
	font-size: x-large;
}

/* クラスを紹介するために使う */
div.class{
	border-style: solid;
	border-width: 2px 2px 2px 2px;
	border-color: #6a9bed;
	margin: 10px 2em 10px 2em;
	padding: 5px 1em 5px 1em;
}

/* クラス名の紹介に使うh2タグ */
div.class h2.classname{
	background-color: #6a9bed;
	margin: -5px -1em 0px -1em;
	padding: 5px 1em 5px 1em;
	font-size: large;
	font-weight: bold;
}

/* メソッドの塊を囲むのに使う */
div.method{
	border-style: dashed;
	border-width: 2px 2px 2px 2px;
	border-color: #6a9bed;
	margin: 5px 0px 5px 0px;
	padding: 5px 1em 5px 1em;
}

/* メソッドのプロトタイプを定義 */
div.method h3.prototype{
	font-weight: bold;
	font-size: medium;
}

/* 概要を囲む */
div.method div.summary{
	margin: 5px 0px 5px 0px;
	padding: 0px 0px 0px 0px;
}

/* 「概要」と言う文字を囲むspan */
div.summary span.title{
	padding-right: 1em;
	font-weight: bold;
}

/* 引数リスト */
table.paramlist{
	margin: 5px 0px 5px 0px;
	border: 0px 0px 0px 0px;
	padding: 0px 0px 0px 0px;
}

/* テーブルの中の引数要素 */
table.paramlist td.param{
	padding-right: 1em;
	font-style: italic;
}

/* テーブルの中の説明要素 */
table.paramlist td.desc{
}

/* 最初の行に来る凡例要素 */
table.paramlist tr.example{
}

/* 凡例要素におけるparam */
tr.example td.param{
	font-style: italic;
	font-weight: bold;
}

/* 凡例要素における説明 */
tr.example td.desc{
	font-weight: bold;
}

/* リスト外でも使うためのparam */
div.method span.param{
	font-style: italic;
}

/* 戻り値を囲むためのdiv */
div.method div.return{
	margin: 5px 0px 5px 0px;
	padding: 0px 0px 0px 0px;
}

/* 「戻り値」という値を囲むためのspan */
div.return span.title{
	padding-right: 1em;
	font-weight: bold;
}